Skip to main content
GET
/
v1
/
subjects
/
{id}
Get subject by ID
curl --request GET \
  --url https://idaas.yourflexpay.com/api/v1/subjects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "applicationName": "<string>",
    "externalId": "<string>",
    "displayName": "<string>",
    "email": "<string>",
    "imageUrl": "<string>",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Path Parameters

id
string<uuid>
required

Response

Subject returned

success
boolean
message
string
errorCode
string
data
object
errors
string[]
timestamp
string<date-time>